<div class="card card-custom example example-compact gutter-b dashboard-container">
    <div class="card-header">
      <div class="card-title">
        Location heatmap
      </div>
    </div>
    <div class="card-body">
      <div>
        <app-db-location-patterns [receivedData]="receivedData"></app-db-location-patterns>
    </div>
    </div>
</div>


  <div style="height: 1%;"></div>
  <div class="card card-custom gutter-b dashboard-container" >
    <div class="card-body row justify-content-center"> 
      <div class="col-auto">
        
      
        <!-- begin:Table -->
        <div class="table-responsive angular-bootstrap-table">
          <table class="table table-head-custom table-vertical-center overflow-hidden">
            <thead>
              <th>City</th>
              <th>Country</th>
              <th># Of locations</th>
              <th>Location Details</th>

            </thead>
            <tbody>
              <tr *ngFor="let row of tableData">
                  <td>{{row.city}}</td>
                  <td>{{row.country}}</td>
                  <td>{{row.timesBeen}}</td>
                  <td><a [routerLink]="" (click)="openTripDetails(row.city)">View location details</a></td>

              </tr>
            </tbody>
          </table>
        </div>
        <!-- end: Table -->
      </div>
    </div>
  </div>